<%@ page language="java" pageEncoding="UTF-8"%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@ page import="com.edeal.frontline.Utils"%>
<%@ page import="java.util.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	Vector<Map<String, String>> tableData = (Vector<Map<String, String>>) flRequest.getAttribute("tableData");
	Boolean isEdit = (Boolean) flRequest.getAttribute("isEdit");
	Boolean reverseOrder = !(Boolean) flRequest.getAttribute("reverseOrder");
	Boolean isMultival = (Boolean) flRequest.getAttribute("isMultival");
	String colID = (String) flRequest.getAttribute("colID");
	Boolean isMandatory = (Boolean) flRequest.getAttribute("isMandatory");
	String inputClass = isMandatory ? "input text chpsTextObligatoire" : "input text";
String orderedField = (String) flRequest.getParameter("sortBy");
	Boolean orderByUser = Boolean.valueOf(flRequest.getParameter("orderByUser"));
	if ((tableData.size() >= 1) && isMultival) {
%>
<div class="edealGrid" style="edeal: v2010; width: 100%;">
	<div id="grid-actions">
		<table class="container" width="100%">
			<tbody>
				<tr>
					<td width="10%"></td>
					<td width="25%"></td>
					<td width="40%" style="text-align: center;"></td>
					<td width="15%" style="text-align: right;"></td>
					<%
						if (isEdit) {
							String colSave = "<td width='10%' style='text-align: right;'></td>";
							out.write(colSave);
						}
					%>
				</tr>
			</tbody>
		</table>
	</div>
	<div id="grid-data" class="data <%= reverseOrder?"reverseOrder":"" %>">
		<table>
			<thead>
				<tr class="fieldline">
					<!-- Icon -->
					<th width="5%" align="left">
						<a
							href="javascript:listAttachments_<%=colID%>('AttIcon', <%=reverseOrder%>, true )">
							<%=Utils.getMessage(session, "F1023", false, true, "Type")%> </a>
						<%= "AttIcon".equals(orderedField)&&orderByUser?"<span class='sort-"+(reverseOrder?"desc":"asc")+"'>&nbsp;</span>":"" %>
					</th>
					
					<!-- File name -->
					<th width="25%" align="left">
					<a
							href="javascript:listAttachments_<%=colID%>('AttFileName', <%=reverseOrder%>, true )">
							<%=Utils.getMessage(session, "F2025", false, true, "Nom")%></a>
						<%= "AttFileName".equals(orderedField)&&orderByUser?"<span class='sort-"+(reverseOrder?"desc":"asc")+"'>&nbsp;</span>":"" %>
					</th>
					
					<!-- File Comment -->
					<th width="50%" align="left">
						<a
							href="javascript:listAttachments_<%=colID%>('AttDesc', <%=reverseOrder%>, true )">
							<%=Utils.getMessage(session, "F6038", false, true, "Commentaire")%>
						</a>
						<%= "AttDesc".equals(orderedField)&&orderByUser?"<span class='sort-"+(reverseOrder?"desc":"asc")+"'>&nbsp;</span>":"" %>
					</th>
	
					<!-- Date -->
					<th width="15%" align="left">
						<a
							href="javascript:listAttachments_<%=colID%>('AttUpd', <%=reverseOrder%>, true )">
							<%=Utils.getMessage(session, "F2019", false, true, "Date")%></a>
						<%= ("AttUpd".equals(orderedField)&&orderByUser)?"<span class='sort-"+(reverseOrder?"desc":"asc")+"'>&nbsp;</span>":"" %>
					</th>
					<%
						if (isEdit) {
							String colSave = "<th width='5%' align='left'></th>";
							out.write(colSave);
						}
					%>
				</tr>
			</thead>
			<tbody>
				<%
					int i = 0;
					for (Map<String, String> rowData : tableData) {
						String rowClass = (i % 2 == 0) ? "even" : "odd";
						i++;
						String attID = rowData.get("AttID");
				%>
				<tr class="<%= rowClass %> bean">
					<!-- Icon -->
					<td align="center">
						<img src="<%= rowData.get("AttIconPath") %>" alt="<%= rowData.get("AttIconFileExt") %>" />
					</td>
					
					<!-- File name -->
					<td>
						<a href="<fl:webapp/>/download?id=<%= attID %>">
							<%= rowData.get("AttFileName") %>
						</a>
					</td>
					
					<!-- File Comment -->
					<td><%= rowData.get("AttDesc") %></td>
					
					<!-- Date -->
					<td align="left"><%= rowData.get("AttUpd") %></td> 
					<%
						if (isEdit) {
					%>
					<td align="center">
						<a href="javascript:deleteAttachment_<%= colID %>('<%= attID %>')">
							<img class="icon" title="<fl:getMessage code="A0007" alt="Supprimer"/>" src="icons/ico/supprimer.gif" />
						</a>
					</td>
					<%
						}
					%>
				</tr>
				<%
					}
				%>
			</tbody>
		</table>
	</div>
	<%
		} else if (!isMultival && !tableData.isEmpty()) {
			Map<String, String> singleRow = tableData.firstElement();
			String attID = singleRow.get("AttID");
			if (!isEdit) {
	%>
	<a href="<fl:webapp/>/download?id=<%= attID %>"><%= singleRow.get("AttFileName") %></a>

	<%
		} else {
	%>
	<input class="<%= inputClass %>" type="text"
		value="<%= singleRow.get("AttFileName") %>" onfocus="this.blur();"
		name="attachment-<%= colID %>" id="attachment-<%= colID %>">
	<%
		}
		} else if (!isMultival && isEdit && tableData.isEmpty()) {
	%>
	<input class="<%= inputClass %>" type="text" value="" onfocus="this.blur();"
		name="attachment-<%= colID %>" id="attachment-<%= colID %>">
	<%
		} else if (!isEdit && tableData.isEmpty()) {
	%>
	<label><fl:getMessage code="L0001" alt="Aucune entrée disponible" /></label>
	<%
		}
	%>