<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<fl:allowAnonymousAccess/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String pYear = Utils.getRequestParameter(context, request, "calyear");
	String pMonth = Utils.getRequestParameter(context, request, "calmonth");
	String fldName = null;
	
	if (request.getParameter("fn") != null) {
		fldName = Utils.getRequestParameter(context, request, "fn");
	}
	String formPos = "0";
	if (request.getParameter("fp") != null) {
		formPos = Utils.getRequestParameter(context, request, "fp");
	}
	String mois = context.getContextParameter("DefaultMonthNumber");
	int _mois=Integer.parseInt(mois); 
	FlLocale userLocale = FlLocale.getInstance(session);
	
	String dateFormat = "dd/MM/yyyy";
	if (request.getParameter("df") != null) {
		dateFormat = Utils.getRequestParameter(context, request, "df");
	} else {
		try {
			dateFormat = userLocale.getDateFormat().toPattern();
		} catch (Exception e) {
			dateFormat = "dd/MM/yyyy";
		}
	}

	String weekStartDay = "1";
	try {
		weekStartDay = Integer.toString(userLocale.getFirstDayOfWeek() - 1);
	} catch (Exception e) {
		weekStartDay = "1";
	}
	
	String dayLetter = "";
	try {
		String[] locShortWeekdays = userLocale.getShortWeekdays();
		for (int i=1 ; i <= 7 ; i++) {
			dayLetter += (i==1 ? "" : ", ") + "\"" + locShortWeekdays[i].substring(0, 1).toUpperCase() + "\"";
		}
	
	} catch (Exception e) {
		logger.warn("Pour les lettres des jours, pas reussi on prend le francais.");
		dayLetter = "\"D\", \"L\", \"M\", \"M\", \"J\", \"V\", \"S\"";
	}
	
	String monthName = "";
	try {
		String[] locMonths = userLocale.getMonths();
		for (int i=0 ; i < 12 ; i++) {
			monthName += (i==0 ? "" : ", ") + "\"" + locMonths[i].substring(0, 1).toUpperCase() + locMonths[i].substring(1) + "\"";
		}
	} catch (Exception e) {
		monthName = "\"Janvier\", \"Fevrier\", \"Mars\", \"Avril\", \"Mai\", \"Juin\", \"Juillet\", \"Aot\", \"Septembre\", \"Octobre\", \"Novembre\", \"Dcembre\"";
	}
	String aim = flRequest.getParameter("aim");
	boolean isEmbedded = "true".equals(flRequest.getParameter("embedded"));
	String weekLinks = Utils.getRequestParameter(context, request, "weekLinks");
	if (weekLinks == null) {
		weekLinks = "";
	}
%>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/sidebar/calendar_css.jsp">
<link href="<fl:webapp/>/common/calendar/calendar.css" rel="stylesheet" type="text/css">

<% if (isEmbedded) { %>
<script language="javascript" src="<fl:webapp/>/common/calendar/calfunctions.js"></script>
<script language="javascript">
	<jsp:include page="/common/calendar/calendar_js.jsp">
		<jsp:param name="weekLinks" value="<%= weekLinks %>"/>
	</jsp:include>

	// Called from calfunctions.js to determine if the week links will be shown or not
	function doALink() {
		return true;
	}
<%
	}

int year = (new Date()).getYear();
if (year < 1900) {
	year = year + 1900;
}
String _year= String.valueOf(year);
%>

<% if (isEmbedded) { %>
	function calEmbeddedOnLoad() {
		goTo(<%= pYear == null ? _year : pYear %> , <%= pMonth == null ? "(new Date()).getMonth() + 1" : pMonth %>);
	}
	runOnTime('calEmbeddedOnLoad()', 50);
<% } %>
</script>
<table cellspacing="0" cellpadding="0" align="center">
<tbody>
  <tr>
  	<td colspan="8">
	  <table cellspacing="0" cellpadding="0" align="center" width="100%">
	    <tr>
	      <td align="center" valign="middle"><a id="lmm" href="#"><img src="<fl:webapp/>/common/calendar/moinsmoins.gif" width="12" height="20" border="0"></a>&nbsp;<a id="lm" href="#"><img src="<fl:webapp/>/common/calendar/moins.gif" width="12" height="20" hspace="5" border="0"></a></td>
	      <td colspan="6" class="moiscalendrier"><span id="lblMonth" onclick="select()">Novembre 2005</span>
	      <INPUT id="in" name="in" type="hidden"> 
	      <span id="select"> 
	      </span>
	      </td>  
	      <td align="center" valign="middle"><a id="lp" href="#"><img src="<fl:webapp/>/common/calendar/plus.gif" width="12" height="20" hspace="5" border="0"></a>&nbsp;<a id="lpp" href="#"><img src="<fl:webapp/>/common/calendar/plusplus.gif" width="12" height="20" border="0"></a></td>
	    </tr>
	  </table>
  	</td>
  </tr>
  <tr>
  	<td colspan="1"></td>
    <td colspan="7" class="separationcalendrier"></td>
  </tr>
  <tr> 
    <td class="jourcalendrier" style="border-right: 1px dashed #9da4c4;"><span style="font-size: xx-small;"><fl:getMessage code="L65B4F" alt="Sem."/></span></td>
    <td class="jourcalendrier" id="d1"></td>
    <td class="jourcalendrier" id="d2"></td>
    <td class="jourcalendrier" id="d3"></td>
    <td class="jourcalendrier" id="d4"></td>
    <td class="jourcalendrier" id="d5"></td>
    <td class="jourcalendrier" id="d6"></td>
    <td class="jourcalendrier" id="d7"></td>
  </tr>
  <tr> 
    <td colspan="8" class="separationcalendrier"></td>
  </tr>
  <tr> 
    <td class="semcalendrier" id="w1"></td>
    <td class="jourcalendrier" id="c11"></td>
    <td class="jourcalendrier" id="c12"></td>
    <td class="jourcalendrier" id="c13"></td>
    <td class="jourcalendrier" id="c14"></td>
    <td class="jourcalendrier" id="c15"></td>
    <td class="jourcalendrier" id="c16"></td>
    <td class="jourcalendrier" id="c17"></td>
  </tr>
  <tr> 
    <td class="semcalendrier" id="w2"></td>
    <td class="jourcalendrier" id="c21"></td>
    <td class="jourcalendrier" id="c22"></td>
    <td class="jourcalendrier" id="c23"></td>
    <td class="jourcalendrier" id="c24"></td>
    <td class="jourcalendrier" id="c25"></td>
    <td class="jourcalendrier" id="c26"></td>
    <td class="jourcalendrier" id="c27"></td>
  </tr>
  <tr> 
    <td class="semcalendrier" id="w3"></td>
    <td class="jourcalendrier" id="c31"></td>
    <td class="jourcalendrier" id="c32"></td>
    <td class="jourcalendrier" id="c33"></td>
    <td class="jourcalendrier" id="c34"></td>
    <td class="jourcalendrier" id="c35"></td>
    <td class="jourcalendrier" id="c36"></td>
    <td class="jourcalendrier" id="c37"></td>
  </tr>
  <tr> 
    <td class="semcalendrier" id="w4"></td>
    <td class="jourcalendrier" id="c41"></td>
    <td class="jourcalendrier" id="c42"></td>
    <td class="jourcalendrier" id="c43"></td>
    <td class="jourcalendrier" id="c44"></td>
    <td class="jourcalendrier" id="c45"></td>
    <td class="jourcalendrier" id="c46"></td>
    <td class="jourcalendrier" id="c47"></td>
  </tr>
  <tr> 
    <td class="semcalendrier" id="w5"></td>
    <td class="jourcalendrier" id="c51"></td>
    <td class="jourcalendrier" id="c52"></td>
    <td class="jourcalendrier" id="c53"></td>
    <td class="jourcalendrier" id="c54"></td>
    <td class="jourcalendrier" id="c55"></td>
    <td class="jourcalendrier" id="c56"></td>
    <td class="jourcalendrier" id="c57"></td>
  </tr>
  <tr> 
    <td class="semcalendrier" id="w6"></td>
    <td class="jourcalendrier" id="c61"></td>
    <td class="jourcalendrier" id="c62"></td>
    <td class="jourcalendrier" id="c63"></td>
    <td class="jourcalendrier" id="c64"></td>
    <td class="jourcalendrier" id="c65"></td>
    <td class="jourcalendrier" id="c66"></td>
    <td class="jourcalendrier" id="c67"></td>
  </tr>
<% if (isEmbedded) { %>
</tbody>
</table>
<% } %>
