<%
/******************************************************************************
 * Copyright (c) 2000-2008 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,com.edeal.frontline.navigation.FlRequest,java.util.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlLocale userLocale = FlLocale.getInstance(session);
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();

	String weekStartDay = "1";
	try {
		weekStartDay = Integer.toString(userLocale.getFirstDayOfWeek() - 1);
	} catch (Exception e) {
		weekStartDay = "1";
	}
	
	String dayLetter = "";
	try {
		String[] locShortWeekdays = userLocale.getShortWeekdays();
		for (int i=1 ; i <= 7 ; i++) {
			dayLetter += (i==1 ? "" : ", ") + "\"" + locShortWeekdays[i].substring(0, 1).toUpperCase() + "\"";
		}
	
	} catch (Exception e) {
		logger.warn("Pour les lettres des jours, pas reussi on prend le francais.");
		dayLetter = "\"D\", \"L\", \"M\", \"M\", \"J\", \"V\", \"S\"";
	}
	
	String monthName = "";
	try {
		String[] locMonths = userLocale.getMonths();
		for (int i=0 ; i < 12 ; i++) {
			monthName += (i==0 ? "" : ", ") + "\"" + locMonths[i].substring(0, 1).toUpperCase() + locMonths[i].substring(1) + "\"";
		}
	} catch (Exception e) {
		monthName = "\"Janvier\", \"Fevrier\", \"Mars\", \"Avril\", \"Mai\", \"Juin\", \"Juillet\", \"Aot\", \"Septembre\", \"Octobre\", \"Novembre\", \"Dcembre\"";
	}

	String mois = context.getContextParameter("DefaultMonthNumber");
	int _mois = Integer.parseInt(mois);
	String aim = flRequest.getParameter("aim");
	
	String dateFormat = "dd/MM/yyyy";
	if (request.getParameter("df") != null) {
		dateFormat = Utils.getRequestParameter(context, request, "df");
	} else {
		try {
			dateFormat = userLocale.getDateFormat().toPattern();
		} catch (Exception e) {
			dateFormat = "dd/MM/yyyy";
		}
	}
	
	String fldName = null;
	if (request.getParameter("fn") != null) {
		fldName = Utils.getRequestParameter(context, request, "fn");
	}
	
	String formPos = "0";
	if (request.getParameter("fp") != null) {
		formPos = Utils.getRequestParameter(context, request, "fp");
	}
	
	String weekLinks = Utils.getRequestParameter(context, request, "weekLinks");
%>
<%--
/**
 * Quel est le nombre de jours minimum de la nouvelle anne dans la premire semaine
 * Les valeurs les plus coutantes sont :
 *  1 : Ceci quivaut  l'option "Commence le 1er Janvier" dans Outlook
 *  4 : Ceci quivaut  l'option "Premire semaine de 4 jours" dans Outlook
 *  7 : Ceci quivaut  l'option "Premire semaine entire" dans Outlook
 **/
 --%>
minimalDaysInFirstWeek = 4;

<%--
/** 
 * Quel jour dbute la semaine. Ici La semaine commence le lundi.
 * Pour signifier qu'elle commence le dimanche, on positionnerait ce paramtre  0.
 **/
 --%>
weekStartDay = <%= weekStartDay %>;

<%--
/**
 * Les lettres reprsentant les jours de la semaine. On commence par le dimanche et on fini avec le samedi.
 * Independament de la question de savoir quel jour est le premier de la semaine, on dsigne
 * les jours de la semaine de 0 (dimanche)  6 (samedi). Meme si en suite, selon les pays, l'on pourra
 * considrer que le semaine commence le dimanche (0) ou le lundi (1).
 **/
 --%>
dayLetter = [<%= dayLetter %>];

<%--
// Les noms des mois
--%>
monthName = [<%= monthName %>];

function ComputeDate(){
// valeur de l'option
var n="<%=_mois%>";
n = parseInt(n);

// date du calenrier 
var date= document.getElementById('in').value;
var tab = date.split(" ")
var month = tab[0];
var year = tab[1];
var Mtab= new Array();
var Stab= new Array();
// calcul de n dates aprs 
for (var pos =0;pos<parseInt(n)+1;pos++)
{
var mt = parseInt(month)+parseInt(pos);
if (parseInt(mt) > 12)
{
Mtab.push((mt%12)+" "+(parseInt(year)+1)); 
}
else
{
Mtab.push(mt+" "+year); 
}
}

year = tab[1];
// calcul de date avant
for (var pos =1;pos<parseInt(n)+1;pos++)
{
mt = parseInt(month)-parseInt(pos);
if (parseInt(mt) < 1)
{
Stab.push(((mt%12)+12)+" "+(parseInt(year)-1)); 
}
else
{
Stab.push(mt+" "+year); 
}

}
Stab=Stab.reverse();
Stab=Stab.concat(Mtab);
return Stab;
}

function select()
{
 var element = document.getElementById('select');
 var ele = document.getElementById('lblMonth');
 var n="<%=_mois%>";
 n = parseInt(n);
 Rtab = new Array();
 Rtab= ComputeDate();
 html = '<select name=\"month\" class="select" id="month" onchange="Unselect();blur();">';
 
 for (var pos=0;pos<Rtab.length;pos++) {
           var ligne = Rtab[pos];
           var tab = ligne.split(" ");
           var month = tab[0];
           var year  = tab[1];
           var code_=month+" "+year;
           //alert(year);
           year = year.substring(2);
           //alert(year);
           var code = monthName[parseInt(month)-1]+" "+year;
           if (pos != n)
           {
           html += '<option value=\"' + code_ + '\"> ' +  code + '</option>';
           }
           else
           {
           html += '<option value=\"' + code_ + '\" selected> ' +  code + '</option>';
           }
       };
       html += '</select>';
       document.getElementById('select').innerHTML = html;
       ele.style.display = "none";
       element.style.display = "block";
}
function Unselect() {
var node = document.getElementById('month');
var divNode = document.getElementById("select");
var ele = document.getElementById('lblMonth');

if(node != null){
	var code  =node.value;
	var tab= new Array();
	tab = code.split(" ");
	var year = tab[1];
	var month = tab[0];
	goTo(year,month);
}
if(divNode != null){
	divNode.style.display = "none";
}
if(ele != null){
ele.style.display = "block";
}
}

function chosenw(y, m, d) {
	<% if (weekLinks != null && "false".equalsIgnoreCase(weekLinks)) { %>
		return; // We're in a pop, so this method is not needed
	<% } %>

	<% if ("sidebar".equals(aim)) { %>
	// ouverture de l'agenda  la date choisie
	
	window.open('<fl:link url="/workweek_agenda.fl?1=1"/>&date=' + getFormatedDate(y, m, d, "<%= dateFormat %>"), 'Agenda', 'width=1024,height=660,scrollbars=yes,resizable=no,toolbar=no,location=no,menubar=no,status=no');
	
	//window.open('<fl:link url="/day_agenda.fl?1=1"/>&date=' + getFormatedDate(y, m, d, "<%= dateFormat %>"), 'Agenda', 'width=1024,height=660,scrollbars=yes,resizable=no,toolbar=no,location=no,menubar=no,status=no');
	<% } else if ("agenda".equals(aim)) { %>
	try {
		changeDay(y, m, d);
	} catch (error) {
		window.alert("Cannot change the day to " + d + "/" + m + "/" + y + "\nCause : " + error.toString());
	}
	<% } else { %>
	//window.opener.document.forms[<%= formPos %>].elements["<%= fldName %>"].value = getFormatedDate(y, m, d, "<%= dateFormat %>");
	
	try {
		window.opener.on<%= fldName %>Change();
	} catch (error) {
		try {
			window.opener.do<%= fldName %>Change();
		} catch (error2) {
		}
	}

	window.close();
	<% } %>
}

function chosen(y, m, d) {
	<% if ("sidebar".equals(aim)) { %>
	// ouverture de l'agenda  la date choisie
	//window.open('<fl:link url="/workweek_agenda.fl?1=1"/>&date=' + getFormatedDate(y, m, d, "<%= dateFormat %>"), 'Agenda', 'width=1024,height=660,scrollbars=yes,resizable=no,toolbar=no,location=no,menubar=no,status=no');
	
	window.open('<fl:link url="/day_agenda.fl?1=1"/>&date=' + getFormatedDate(y, m, d, "<%= dateFormat %>"), 'Agenda', 'width=1024,height=660,scrollbars=yes,resizable=no,toolbar=no,location=no,menubar=no,status=no');
	<% } else if ("agenda".equals(aim)) { %>
	try {
		changeDay(y, m, d);
	} catch (error) {
		window.alert("Cannot change the day to " + d + "/" + m + "/" + y + "\nCause : " + error.toString());
	}
	<% } else { %>
	window.opener.document.forms[<%= formPos %>].elements["<%= fldName %>"].value = getFormatedDate(y, m, d, "<%= dateFormat %>");

	try {
	
		window.opener.document.forms[<%= formPos %>].elements["<%= fldName %>"].onchange();
	} catch (error) {
		try {
			window.opener.do<%= fldName %>Change();
		} catch (error2) {
		}
	}

	window.close();
	<% } %>
}
 