<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<fl:allowAnonymousAccess/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	String pYear = Utils.getRequestParameter(context, request, "calyear");
	String pMonth = Utils.getRequestParameter(context, request, "calmonth");
	
	int year = (new Date()).getYear();
	if (year < 1900) {
		year = year + 1900;
	}
	String _year= String.valueOf(year);
%><html>
<head>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/sidebar/calendar_css.jsp">
<link href="<fl:webapp/>/common/calendar/calendar.css" rel="stylesheet" type="text/css">
<link href="<fl:webapp/>/css/common_css.jsp" rel="stylesheet" type="text/css">
<script language="javascript" src="<fl:webapp/>/common/calendar/calfunctions.js"></script>
<script language="javascript">

<%-- Include our common calendar javascript first --%>
<jsp:include page="/common/calendar/calendar_js.jsp">
	<jsp:param name="weekLinks" value="false"/>
</jsp:include>

	// We don't want the week link to show in the popup. This method will be called from calfunctions.js
	function doALink() {
		return false;
	}

	function calDoOnLoad() {
		goTo(<%= pYear == null ? _year : pYear %> , <%= pMonth == null ? "(new Date()).getMonth() + 1" : pMonth %>);
		setDefaultLinks();
	}
	
	function setDefaultLinks() {
	<%
		FlLocale flLocale = FlLocale.getInstance(session);
		Calendar cal = GregorianCalendar.getInstance(flLocale.getLocale());
		cal.add(Calendar.DAY_OF_YEAR, 1);
	%>
		var aNode = document.getElementById("chooseDemain");
		var hrefNode = aNode.getAttributeNode("href");
		hrefNode.nodeValue = "javascript:chosen(<%= cal.get(Calendar.YEAR) %>, <%= (cal.get(Calendar.MONTH) + 1) %>, <%= cal.get(Calendar.DAY_OF_MONTH) %>);";	
	
	<%
		cal = GregorianCalendar.getInstance();
		cal.add(Calendar.DAY_OF_YEAR, 7);
	%>
		var aNode = document.getElementById("chooseSemaine");
		var hrefNode = aNode.getAttributeNode("href");
		hrefNode.nodeValue = "javascript:chosen(<%= cal.get(Calendar.YEAR) %>, <%= (cal.get(Calendar.MONTH) + 1) %>, <%= cal.get(Calendar.DAY_OF_MONTH) %>);";	
	
	<%
		cal = GregorianCalendar.getInstance();
		cal.add(Calendar.MONTH, 1);
	%>
		var aNode = document.getElementById("chooseMois");
		var hrefNode = aNode.getAttributeNode("href");
		hrefNode.nodeValue = "javascript:chosen(<%= cal.get(Calendar.YEAR) %>, <%= (cal.get(Calendar.MONTH) + 1) %>, <%= cal.get(Calendar.DAY_OF_MONTH) %>);";	
	
	<%
		cal = GregorianCalendar.getInstance();
		cal.add(Calendar.MONTH, 3);
	%>
		var aNode = document.getElementById("choose3Mois");
		var hrefNode = aNode.getAttributeNode("href");
		hrefNode.nodeValue = "javascript:chosen(<%= cal.get(Calendar.YEAR) %>, <%= (cal.get(Calendar.MONTH) + 1) %>, <%= cal.get(Calendar.DAY_OF_MONTH) %>);";	
	
	<%
		cal = GregorianCalendar.getInstance();
		cal.add(Calendar.MONTH, 6);
	%>
		var aNode = document.getElementById("chooseSemestre");
		var hrefNode = aNode.getAttributeNode("href");
		hrefNode.nodeValue = "javascript:chosen(<%= cal.get(Calendar.YEAR) %>, <%= (cal.get(Calendar.MONTH) + 1) %>, <%= cal.get(Calendar.DAY_OF_MONTH) %>);";	
	}
</script>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">

</head>
<body onload="calDoOnLoad()">
<div id="object_css" style="top: 0px; left: 0px; bottom: 0px; height: 100%;">
<fl:bigTabs ignoreList="true" objectTitle="<%= Utils.getMessage(session, \"A0004\", false, true, \"Calendrier\") %>">
<jsp:include page="/common/calendar/calendar.jsp">
	<jsp:param name="embedded" value="false"/>
</jsp:include>
  <br>
  <tr>
  	<td colspan="4"><a id="chooseDemain" style="font-size: x-small;" href="#"><fl:getMessage code="M8081" alt="Demain"/></a></td>
  	<td colspan="4"><a id="chooseSemaine" style="font-size: x-small;" href="#"><fl:getMessage code="M8082" alt="Dans une semaine"/></a></td>
  </tr>  
  <tr>
  	<td colspan="4"><a id="chooseMois" style="font-size: x-small;" href="#"><fl:getMessage code="M8083" alt="Dans un mois"/></a></td>
  	<td colspan="4"><a id="choose3Mois" style="font-size: x-small;" href="#"><fl:getMessage code="M8084" alt="Dans 3 mois"/></a></td>
  </tr>  
  <tr>
  	<td colspan="8" align="center"><a id="chooseSemestre" style="font-size: x-small; text-align: center;" href="#"><fl:getMessage code="M8085" alt="Dans un semestre"/></a></td>
  </tr>
</tbody>
</table>
</fl:bigTabs>
</div>
</body>
</html>
