<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String core = (String)flRequest.getRequestParameterOrAttribute("core");
	if(Utils.isEmpty(core)){
		core = "edeal";
	}
	String command = (String)flRequest.getRequestParameterOrAttribute("command");
	
%>
<html>
<head>
	<title><fl:getMessage code="F1010" alt="Statut"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<style type="text/css">
		.Detail {
			font-size: 11px;
			color: #969696;
			font-family: Arial, Verdana, sans-serif;
			white-space: nowrap;
			vertical-align:top;
			width: 100%;
			height: 12px; 
			max-height: 35px; 
			overflow: hidden; 
			white-space: normal; 
			word-wrap: break-word;
		}
	</style>
	
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
  	<script language="javascript">
	function getSolrStatus(){
		$.getJSON("<fl:webapp/>/solr_status.fl?core=<%=core%>&command=<%=command%>", function(data) {
			 if(data.isDone == "true"){
				$("#status").attr("src", "<fl:webapp/>/js/progressbar/images/success.png");
				$("#msg_value").html("<fl:getMessage code="L80D1" alt="Excution de la tche termine"/><br/>"+decodeURIComponent(data.msg)); 					
			 }else{
				 $("#msg_value").html("<fl:getMessage code="L80D0" alt="Excution de la tche en cours..."/><br/>"+decodeURIComponent(data.msg));
				 setTimeout("getSolrStatus()",1000);
			 }
			
		});
	}
	window.setTimeout("getSolrStatus()",2000);
	</script>
</head>
<body class="popup_body">
	<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F1010\", false, true, \"Statut\") %>">
	<table class="container" width="100%" cellpadding="0">
		<tr>
			<td>
				<div id="loading">
					<img id="status" src="<fl:webapp/>/icons/dico-loader.gif"/>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="titrePartie titreTexte"></td>
			<td class="titrePartie titreIcone">
				<a href="javascript:expandNotes('msg',12);void(0);">
					<img style="padding: 0px;vertical-align: middle;" name="expandermsg" id="expandermsg" class="icon" src="<fl:webapp/>/icons/ico/contraction.gif">
				</a>
			</td>
		</tr>
		<tr>
			<td>
				<div id="msg_value" class="Detail"><fl:getMessage code="L80D0" alt="Excution de la tche en cours..."/></div>
				<a href="javascript:expandNotes('msg',12);void(0);" class="instruction-link" id="msg_value_link" style="display: inline;"><fl:getMessage code="F202C" alt="Dtails"/></a>
			</td>
		</tr>	
	</table>	
	</fl:bigTabs>

	<table class="container" width="100%">
		<tr class="fieldline">
			<td colspan="2" style="text-align: center;">
				<a href="javascript:window.close()"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a>
			</td>
		</tr>
	</table>
</body>
</html>

