<%@page import="com.edeal.frontline.controller.actions.interaction.CorStaticEnterprise"%>
<%@page session="true"%>
<%@ page isELIgnored="false"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ taglib uri="http://www.e-deal.com/taglib/ft" prefix="ft" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<div id="correspondentDetails">
	<c:set scope="page" var="nextRowClass" value="even" />
	<div class="mailAll">
		<edLink values="<fl:getMessage code="L8271" alt="Envoyer un e-mail aux participants"/>" url="mailto:${requestScope.mailToAll}" />
	</div>
	<c:forEach items="${requestScope.correspondentsByEnterprise}" var="entry">
		<c:set scope="page" var="enterprise" value="${entry.key}" />
		<c:set scope="page" var="correspondents" value="${entry.value}" />
		<c:set scope="page" var="actor_ent_key" value="<%= CorStaticEnterprise.ACTOR_KEY %>" />
		<c:set scope="page" var="empty_ent_key" value="<%= CorStaticEnterprise.EMPTY_KEY %>" />
		<div class="row ${nextRowClass}">
			<div class="entName">
				<c:choose>
					<c:when test="${enterprise.name == actor_ent_key}">
						<fl:getMessage code="L8270" alt="Interne"/>
					</c:when>
					<c:when test="${enterprise.name == empty_ent_key}">
						<fl:getMessage code="L829C" alt="Particulier"/>
					</c:when>
					<c:when test="${not empty enterprise.readUri}"> 
						<edLink values="${enterprise.name}" url="${enterprise.readUri}" />
					</c:when>
					<c:otherwise>
						${enterprise.name} 
					</c:otherwise>
				</c:choose>
			</div>
			<c:if test="${empty correspondents}">
				<div class="entPhone"><edLink values="${enterprise.phone}" js="doCall('${enterprise.phone}', 'Enterprise', '${enterprise.id}')"/></div>
			</c:if>
			<div class="entAddress">
			<c:set scope="page" var="firstCorrespondent" value="${correspondents[0]}" />
			<c:choose>
					<c:when test="${not empty firstCorrespondent and not empty firstCorrespondent.address}">
						${firstCorrespondent.address}
					</c:when>
					<c:otherwise>
						${enterprise.address}
					</c:otherwise>
			</c:choose>
			</div>
			<c:if test="${not empty correspondents}">  
				<table>
		   			<c:forEach items="${correspondents}" var="correspondent">
						<tr>
							<td class="corName ">
								<c:choose>
									<c:when test="${not empty correspondent.readUri}"> 
										<edLink values="${correspondent.name}" url="${correspondent.readUri}" />
									</c:when>
									<c:otherwise>
											${correspondent.name}	
									</c:otherwise>
								</c:choose>
							</td>
							<td class="corPhone">
								<c:if test="${not empty correspondent.phone}">
									<span class="bold">T:</span>
									<edLink values="${correspondent.phone}" js="doCall('${correspondent.phone}', '${correspondent.beanType}', '${correspondent.id}')"/>
								</c:if>
							</td>
							<td class="corMobile">
								<c:if test="${not empty correspondent.mobile}">
									<span class="bold">M:</span> 
									<edLink values="${correspondent.mobile}" js="doCall('${correspondent.mobile}', '${correspondent.beanType}', '${correspondent.id}')"/>
								</c:if>
							</td>
							<td class="corEmail">
								<c:if test="${not empty correspondent.email}">
									<ft:email idObjMod="${correspondent.id}" typObjMod="Person" idDest="${correspondent.email}" >${correspondent.email}</ft:email>
								</c:if>
							</td>
						</tr>
		   			</c:forEach>
		   		</table>
   			</c:if>
   		</div>
   		<c:choose>
			<c:when test="${nextRowClass == 'even'}"> 
				<c:set scope="page" var="nextRowClass" value="odd" /> 
			</c:when>
			<c:otherwise>
				<c:set scope="page" var="nextRowClass" value="even" />
			</c:otherwise>
		</c:choose>
	</c:forEach>
</div>