<%@ page language="java" contentType="text/plain;charset=UTF-8"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/

%><%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.grid.*" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.grid.EdealGrid" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation.BigTabsParams" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
String code = flRequest.getRequestParameterOrAttribute("gridName");
if (code == null) {
	String paramCode = flRequest.getRequestParameterOrAttribute("code");
	String gn = ((paramCode == null ? "" : paramCode) + "_gridname");
	code = flRequest.getRequestParameterOrAttribute(gn);
	if (code == null) {
		code = paramCode;
	}
}

GridData grid = (GridData)flRequest.getAttribute(code);
FlContext context = flRequest.getContext();
EdealBigTabsNavigation bTabNav = new EdealBigTabsNavigation(flRequest);		
bTabNav.setBigTabsParameterValue(BigTabsParams.SelectedTab, "1");
DataDictionary dico = context.getDataDictionary();
EdealGrid edealGrid = new EdealGrid();
edealGrid.setName(code);
edealGrid.buildColumns(session, context, grid);

if(grid.getNbRows() == 0){
%>
	<fl:label code="L0001" label="Aucune entrée disponible "/>
<%
} else { 
%>
	<table style="width: 100%;" border="0" cellpadding="0" cellspacing="0" align="center">
	<thead>				
		<tr>
			<th width="20%"></th>
			<th width="10%"></th>
			<th width="10%"></th>
			<th width="60%"></th>
		</tr>
	</thead>
	<tbody>					
<%
		try {
			ArrayList<String> rowsId = grid.getRowsId();
			int nbOfRows = grid.getData().length;
			for(int rowidx = 0; rowidx < nbOfRows; rowidx++) {
				Object[] row = grid.getData()[rowidx];
					String intDate = edealGrid.getColumn(1).format((GridData.GridLink)row[1]);
					String intIcon = edealGrid.getColumn(2).format(new GridData.GridCellContent(row[2]));
					String intPer = edealGrid.getColumn(3).format(new GridData.GridCellContent(row[3]));
					String intSub = edealGrid.getColumn(4).format(new GridData.GridCellContent(row[4]));
					String intStat = edealGrid.getColumn(5).format(new GridData.GridCellContent(row[5]));
					String intComm = edealGrid.getColumn(6).format(new GridData.GridCellContent(row[6]));
					String intMsg = edealGrid.getColumn(7).format(new GridData.GridCellContent(row[7]));

					if (row[7].toString().length() <= 0){//il n'y a pas de message%>	
						
						<tr>
							<td>
							<%-- Date --%>
<% 
							if (row[1].toString().length() > 0) {
%>
								<i><%= intDate %></i>
<%
							}
%>
							</td>
							
							<td>
							<%-- Etat --%>
<% 
							if (row[5].toString().length() > 0) {
%>	
								(<%= intStat %>)
<%
							}
%>
							</td>
							
							<td align="center">
							<%-- Activité | icone --%>
<%
							if (row[2].toString().length() > 0) {
%>
								<%= intIcon %>
<%
							}
%>
							</td>	
							 
							<td>
							<%-- correspondant --%>
<%
							if (row[3].toString().length() > 0) {
%>	
								<%= intPer %>
<%
							}
%>
							</td>
											
						</tr>
						
						<%-- Sujet --%>
						<tr>
							<td colspan="4">
<%
							if (row[4].toString().length() > 0) {
%>		
								<b> <%= intSub %> </b>
<%
							}
%>
							</td>
						</tr>
						
						<%-- Commentaire --%>
						<tr>
							<td colspan="4">
<%
							if (row[6].toString().length() > 0) {
%>	
								<%= intComm %>
<%
							}
%>
							</td>
						</tr>
<%	
				} else {
%>
					<tr>
						<td colspan="4" width="100%">
<%	
							try {
								boolean isMIME = false;
								MessagesBean msgBean = new MessagesBean(intMsg, context);
								session.setAttribute("Messages", msgBean);
								try {
									String refMIME = dico.getRefIdByCode("MsgCtyID", "MIME");
									if (refMIME != null) {
										isMIME = refMIME.equals(msgBean.getMsgCtyID());
									}
								} catch (FieldNotInitializedException ex) {
								}
								if (isMIME) { 
%>
									<div><iframe src="<fl:webapp/>/netbusiness/messages/display_message.jsp" width="95%" onLoad="this.height = this.contentWindow.document.body.scrollHeight;" ></iframe></div>
<% 
								} else { 
%>
									<div><iframe src="<fl:webapp/>/netbusiness/messages/view_body_mail.jsp" width="95%" onLoad="this.height = this.contentWindow.document.body.scrollHeight;" ></iframe></div>
<% 
								}
							} catch (FieldNotInitializedException e) {
							} catch (FrontlineException de){	
							}
%>	 	 		
						</td>
<%
				}	
%>
				</tr>
<% 
						if(rowidx < nbOfRows - 1){
%>											
							<tr class="ligne_separation"><td colspan="4"></td></tr>
							<tr class="ligne_separation_couleur"><td colspan="4"></td></tr>
							<tr class="ligne_separation"><td colspan="4"></td></tr>				
<%
						}
						} 
			} catch (Exception e) {
			}
%>
	</tbody>					
</table>
<%
}
%> 

