<%@ page language="java" contentType="text/plain;charset=UTF-8"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
 
 // Please note! If you change this file in any way, please make the same changes to any
 // JSP file containing the following string:  //**listAjax.jsp**//
 
%><%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.grid.*" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.grid.EdealGrid" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation.BigTabsParams" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%

final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
String code = flRequest.getRequestParameterOrAttribute("gridName");

if (code == null) {
	String paramCode = flRequest.getRequestParameterOrAttribute("code");
	String gn=((paramCode == null ? "" : paramCode) + "_gridname");
	code = flRequest.getRequestParameterOrAttribute(gn);
	if (code == null) {
		code = paramCode;
	}
}

GridData grid = (GridData)flRequest.getAttribute(code);
FlContext context = flRequest.getContext();
EdealBigTabsNavigation bTabNav = new EdealBigTabsNavigation(flRequest);		
bTabNav.setBigTabsParameterValue(BigTabsParams.SelectedTab, "1");
DataDictionary dico = context.getDataDictionary();
EdealGrid edealGrid = new EdealGrid();
edealGrid.setName(code);
edealGrid.buildColumns(session, context, grid);

if (grid.getNbRows() == 0){
%>
	<fl:label code="L0001" label="Aucune entrée disponible "/>
<%
} else { 
%>
			<table style="width: 100%;" border="0" cellpadding="0" cellspacing="0" align="center">
				<thead>				
					<tr>
						<th></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
<%
	try {
			ArrayList<String> rowsId = grid.getRowsId();
			int nbOfRows = grid.getData().length;
			for(int rowidx = 0; rowidx < nbOfRows; rowidx++) {
			 	Object[] row = grid.getData()[rowidx];
				String oppNumOffre = edealGrid.getColumn(0).format((GridData.GridLink)row[0]);
				String oppEtat = edealGrid.getColumn(1).format(new GridData.GridCellContent(row[1]));
				String oppDate = edealGrid.getColumn(2).format(new GridData.GridCellContent(row[2]));
				String oppProba = edealGrid.getColumn(3).format(new GridData.GridCellContent(row[3]));
				String oppCa = edealGrid.getColumn(4).format(new GridData.GridCellContent(row[4]));
				String oppPer = edealGrid.getColumn(5).format(new GridData.GridCellContent(row[5]));
				String oppCom = edealGrid.getColumn(6).format(new GridData.GridCellContent(row[6]));
%>	
				 <tr>
					 <td width="30%" valign="top">
<% 
						if (row[0].toString().length() > 0) {
%>
							<b><%= oppNumOffre %></b><br/>
<%
						}

						if (row[1].toString().length() > 0) {
%>
							<i><%= dico.getRefDisp(session, "OppStuID", dico.getRefIdByCode("OppStuID", oppEtat)) %></i>
<%
						}

						if (row[2].toString().length() > 0) {
								if (oppEtat.equals("LST")){
%>
									- <fl:getMessage code="F7004" alt="Perdue le"/> : <%= oppDate %>
<%
								} else if (oppEtat.equals("WON")){
%>
									- <fl:getMessage code="L700E" alt="Signée le"/> : <%= oppDate %>	
<%
								} else {
%>
									- <fl:getMessage code="L3053" alt="Signable le"/> : <%= oppDate %>
<%
								}
						}
 
						if (row[4].toString().length() > 0) {
%>
							<b><br/><fl:getMessage code="L2011" alt="CA"/> : </b><%= oppCa %> 
<%
						}
						
						if ((row[4].toString().length() > 0) && (row[3].toString().length() > 0)) {
%>
							/ <%= oppProba %>
<%
						}

						if (row[5].toString().length() > 0) {
%>
							<br><b><fl:getMessage code="L700D" alt="Destinée à"/> : </b><%= oppPer %>
<%
						}
%>  	  
					</td>
					<td valign="top">
						<%= oppCom %>
					</td>
				</tr>
<% 
			if (rowidx < nbOfRows - 1){
%>
				<tr class="ligne_separation"><td colspan="2"></td></tr>
				<tr class="ligne_separation_couleur"><td colspan="2"></td></tr>
				<tr class="ligne_separation"><td colspan="2"></td></tr>
<%
			}
			}
		} catch (Exception e) {
		}	
%>
			</tbody>	
		</table>
<% 
} 
%> 



