<%@page import="com.edeal.frontline.helper.ContextHelper"%>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@ page session="true" import="com.edeal.frontline.*,java.util.*,java.net.*,java.io.*" %>
<%@ page import="com.edeal.frontline.GeoLocalizable" %>
<%@ page import="com.edeal.frontline.helper.BasicHelper" %>
<%@ page import="com.edeal.frontline.helper.custom.ActorHelper" %>
<%@ page import="com.edeal.frontline.controller.actions.LoadGeolocalizationObjectAction" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());

FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

GeoLocalizable geoLocalizableBean = (GeoLocalizable) request.getAttribute(LoadGeolocalizationObjectAction.GEOLOCALIZABLE_OBJECT); 

DataDictionary dico = context.getDataDictionary();

ActorBean actor = ActorHelper.getSessionActor(session);
String actID = (String)session.getAttribute("actorID");

String dialogId = (String)request.getAttribute("dialogId");

ActorHelper actorHelper = new ActorHelper(actor);
String actorAddress = actorHelper.getActorAddress();
String actorSiteAddress = actorHelper.getActorSiteAddress();

FlLocale flLocale = FlLocale.getInstance(session);

String language = flLocale.getLanguage();
%>
	<script type="text/javascript" src="<fl:webapp/>/js/edeal/tools/googleMapsV3.js"></script>
	<script type="text/javascript" src="<fl:webapp/>/js/edeal/tools/googleMapsV3.markercluster.js"></script>
	<script type="text/javascript" src="<fl:webapp/>/js/beans/geoLocalizableBeans.js"></script>

	<script language="javascript">

		var dialogView;
		
		$(document).ready(loadMainContent);	
		function loadMainContent() {
			//dialogView = Utils.getParentViewFromDomEl($("#toolbar"));
			dialogView = edManager.getViewByID("<%=dialogId%>");
			dialogView.on("ondialogopen", initializeMap);
		}
		
		var mapDisplayer;
		function initializeMap() {
			
			dialogView.off("ondialogopen", initializeMap);
			/*
			These three lines below prevent from grey zone in the map
			*/
			dialogView.$el.on("dialogresizeStop", function(event, ui) {google.maps.event.trigger(mapDisplayer.GMap, 'resize') })
			dialogView.$el.on("dialogdragStop", function(event, ui) {google.maps.event.trigger(mapDisplayer.GMap, 'resize') })
			dialogView.$el.on("dialogopen", function(event, ui) {google.maps.event.trigger(mapDisplayer.GMap, 'resize') })
			/*
			End
			*/
			
			$("#toolbar").height(dialogView.$el.height());
			
			/*
			Position tollbar
			*/
			closeToolbar();
			
	   		var bean = createGeoDisplayableBean();
	   		var options = getOptionsFromBean(bean);
	   		
	   		mapDisplayer = new Map.GoogleMaps(document.getElementById("map"));
	   		mapDisplayer.referenceGeolocalizable = bean;
	   		mapDisplayer.attachedToView = dialogView;
	   		var actor = {};
	   		actor.address = "<%=actorAddress%>";
	   		actor.siteAddress = "<%=actorSiteAddress%>";
	   		mapDisplayer.actor = actor;
	   		
	   		mapDisplayer.options = options;
	   		mapDisplayer.render();		
		}
		
		function getOptionsFromBean(bean) {
			var toReturn = {};
			toReturn.itinerary = true;
			toReturn.enterprisesAround = false;
			toReturn.legend = true;
			if (bean.type == "Enterprise") {
				toReturn.itinerary = true;
				toReturn.enterprisesAround = true;
				toReturn.legend = true;				
			}
			if (bean.type == "Person") {
				toReturn.itinerary = true;
				toReturn.legend = true;				
			}
			if (bean.type == "Location") {
				toReturn.itinerary = true;
				toReturn.legend = true;				
			}
			
			return toReturn;
		}
		
		function closeToolbar() {
			if ($("#toolbar").attr("expanded") == "true") {
				toggleToolbar();
			}
			$("#toolbar").animate({top:0, left: -400}, 400, "easeInExpo");
		}
		
		function openToolbar() {
			$("#toolbar").animate({top:0, left: 0}, 400, "easeInExpo");
		}
		
		function toggleToolbar() {
			if ($("#toolbar").attr("expanded") != "true") {
				$("#toolbar").animate({width: dialogView.$el.width()-20}, 400, "easeInExpo", function(){edManager.getViewByID("expandCollapse").options.image="maps/collapse.png"; edManager.getViewByID("expandCollapse").render();});
				$("#toolbar").attr("expanded", "true");
			} else {
				$("#toolbar").animate({width: 400}, 400, "easeInExpo", function(){edManager.getViewByID("expandCollapse").options.image="maps/expand.png"; edManager.getViewByID("expandCollapse").render();});
				$("#toolbar").attr("expanded", "false");
			}
		}
		
		/*function loadTabs() {
	   		$( "#tabs" ).tabs();
	   		if (window.mapCurrentGeoLacalizable.onMapBoundsChangeAction == "") {
	   			$( "#tabs" ).tabs( "remove" , 1 );
	   		}
	   		//window.webappname is used by map.js to locate icons
	   		window.webAppName = "<fl:webapp/>/";
	   		generateMap();
	   	}*/
	   	
		function createGeoDisplayableBean() {
			var geoLocalizableBean = new GeoLocalizableBeans.GeoLocalizeBean('<%=geoLocalizableBean.getGLID()%>');
			geoLocalizableBean.init('<%=Utils.formatToJavascript(geoLocalizableBean.getGLType())%>',
					'<%=geoLocalizableBean.getGLLatitude()%>',
					'<%=geoLocalizableBean.getGLLongitude()%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLLabel())%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLAddress1())%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLAddress2())%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLAddress3())%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLZipCode())%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLCity())%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLCountry())%>',
					'<%=Utils.formatToJavascript(geoLocalizableBean.getGLHtmlToolTip())%>',
					'<%=geoLocalizableBean.getGLUpdatePositionAction()%>', 
					'<%=geoLocalizableBean.getGLOnMapBoundsChangeAction()%>');
			return geoLocalizableBean;
		}
	</script>

	<div id="toolbar" style="position:absolute;z-index:99999;background-color:white;border-right:1px solid #777;width:400px; height:98%; top:0px; left:0px; padding-top:10px;overflow:auto;">
		<edLink js="toggleToolbar()" id="expandCollapse" image="maps/expand.png" style="position:absolute; right:20px; top: 4px; z-index:99999;"></edLink>
		<edLink js="closeToolbar()" image="wall/delete.png" style="position:absolute; right:4px; top: 4px; z-index:99999;"></edLink>
	</div>	
	<div id="map" class="map" style="height:100%; width:100%"/>
