<%
/******************************************************************************
 * Copyright (c) 2000-2008 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page language="java" pageEncoding="UTF-8"%><%@page import="com.edeal.frontline.ofcgraphs.*"%><%@page import="com.edeal.frontline.navigation.FlRequest"%><%@page import="java.util.Iterator"%><%@page import="org.apache.commons.lang.StringUtils"%><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	FlRequest flRequest = new FlRequest(request);
	String tagKey = flRequest.getParameter("ofcGraphKey");
	OfcGraphTag ofcTag = (OfcGraphTag)session.getAttribute(OfcGraphTag.SESSION_TAGKEY + tagKey);
	session.removeAttribute(OfcGraphTag.SESSION_TAGKEY + tagKey);
%>
<html>
<head></head>
<body>
<% if (ofcTag instanceof OfcBarLineGraphTag) {
	OfcBarLineGraphTag ofcBLGT = (OfcBarLineGraphTag)ofcTag;
	Iterator<OfcBarLineGraphEntryTag> subVectIter = ofcBLGT.getSubTags().iterator();
%>
	<fl:ofcBarLineGraph dataURL="<%= StringUtils.defaultIfEmpty(ofcBLGT.getDataURL(), \"\") %>" height="<%= StringUtils.defaultIfEmpty(ofcBLGT.getHeight(), \"\") %>" name="<%= StringUtils.defaultIfEmpty(ofcBLGT.getName(), \"\") %>" width="<%= StringUtils.defaultIfEmpty(ofcBLGT.getWidth(), \"\") %>" align="<%= StringUtils.defaultIfEmpty(ofcBLGT.getAlign(), \"\") %>" bgColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getBgColor(), \"\") %>" noIframe="true" ofcSwfUrl="<%= StringUtils.defaultIfEmpty(ofcBLGT.getOfcSwfUrl(), \"\") %>" quality="<%= StringUtils.defaultIfEmpty(ofcBLGT.getQuality(), \"\") %>" title="<%= StringUtils.defaultIfEmpty(ofcBLGT.getTitle(), \"\") %>" titleColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getTitleColor(), \"\") %>" titleSize="<%= StringUtils.defaultIfEmpty(ofcBLGT.getTitleSize(), \"\") %>" xAxisColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxAxisColor(), \"\") %>" xAxisLegend="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxAxisLegend(), \"\") %>" xAxisLegendColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxAxisLegendColor(), \"\") %>" xAxisLegendSize="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxAxisLegendSize(), \"\") %>" xGridColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxGridColor(), \"\") %>" xLabelColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxLabelColor(), \"\") %>" xLabelOrientation="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxLabelOrientation(), \"\") %>" xLabelSize="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxLabelSize(), \"\") %>" xLabelStep="<%= StringUtils.defaultIfEmpty(ofcBLGT.getxLabelStep(), \"\") %>" yAxisColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyAxisColor(), \"\") %>" yAxisLegend="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyAxisLegend(), \"\") %>" yAxisLegendColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyAxisLegendColor(), \"\") %>" yAxisLegendSize="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyAxisLegendSize(), \"\") %>" yAxisMax="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyAxisMax(), \"\") %>" yAxisMin="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyAxisMin(), \"\") %>" yGridColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyGridColor(), \"\") %>" yRightAxisLegend="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyRightAxisLegend(), \"\") %>" yRightAxisLegendColor="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyRightAxisLegendColor(), \"\") %>" yRightAxisLegendSize="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyRightAxisLegendSize(), \"\") %>" yRightAxisMax="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyRightAxisMax(), \"\") %>" yRightAxisMin="<%= StringUtils.defaultIfEmpty(ofcBLGT.getyRightAxisMin(), \"\") %>">
<% while (subVectIter.hasNext()) {
		OfcBarLineGraphEntryTag entryTag = subVectIter.next();
%>
		<fl:ofcBarLineGraphEntry legend="<%= StringUtils.defaultIfEmpty(entryTag.getLegend(), \"\") %>" type="<%= StringUtils.defaultIfEmpty(entryTag.getType(), \"\") %>" axis="<%= StringUtils.defaultIfEmpty(entryTag.getAxis(), \"\") %>" color="<%= StringUtils.defaultIfEmpty(entryTag.getColor(), \"\") %>" legendSize="<%= StringUtils.defaultIfEmpty(entryTag.getLegendSize(), \"\") %>" lineSize="<%= StringUtils.defaultIfEmpty(entryTag.getLineSize(), \"\") %>" transparency="<%= StringUtils.defaultIfEmpty(entryTag.getTransparency(), \"\") %>" numberFormat="<%= StringUtils.defaultIfEmpty(entryTag.getNumberFormat(), \"\") %>"/>
<% } %>	
	</fl:ofcBarLineGraph>
<% } else if (ofcTag instanceof OfcPieGraphTag) {
	OfcPieGraphTag ofcPGT = (OfcPieGraphTag)ofcTag;
%>
	<fl:ofcPieGraph dataURL="<%= StringUtils.defaultIfEmpty(ofcPGT.getDataURL(), \"\") %>" height="<%= StringUtils.defaultIfEmpty(ofcPGT.getHeight(), \"\") %>" width="<%= StringUtils.defaultIfEmpty(ofcPGT.getWidth(), \"\") %>" name="<%= StringUtils.defaultIfEmpty(ofcPGT.getName(), \"\") %>" align="<%= StringUtils.defaultIfEmpty(ofcPGT.getAlign(), \"\") %>" bgColor="<%= StringUtils.defaultIfEmpty(ofcPGT.getBgColor(), \"\") %>" labelColor="<%= StringUtils.defaultIfEmpty(ofcPGT.getLabelColor(), \"\") %>" labelSize="<%= StringUtils.defaultIfEmpty(ofcPGT.getLabelSize(), \"\") %>" noIframe="true" ofcSwfUrl="<%= StringUtils.defaultIfEmpty(ofcPGT.getOfcSwfUrl(), \"\") %>" quality="<%= StringUtils.defaultIfEmpty(ofcPGT.getQuality(), \"\") %>" sepColor="<%= StringUtils.defaultIfEmpty(ofcPGT.getSepColor(), \"\") %>" sliceColors="<%= StringUtils.defaultIfEmpty(ofcPGT.getSliceColors(), \"\") %>" title="<%= StringUtils.defaultIfEmpty(ofcPGT.getTitle(), \"\") %>" titleColor="<%= StringUtils.defaultIfEmpty(ofcPGT.getTitleColor(), \"\") %>" titleSize="<%= StringUtils.defaultIfEmpty(ofcPGT.getTitleSize(), \"\") %>" toolTip="<%= StringUtils.defaultIfEmpty(ofcPGT.getToolTip(), \"\") %>" transparency="<%= StringUtils.defaultIfEmpty(ofcPGT.getTransparency(), \"\") %>" numberFormat="<%= StringUtils.defaultIfEmpty(ofcPGT.getNumberFormat(), \"\") %>"/>
<% } %>
</body>
</html>