<%@ page language="java" contentType="text/css" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
body {
	font-size: 11px; 
	color: #000000; 
	font-family: Arial, Verdana, sans-serif;
	margin-bottom: 0px;
	margin-left: 10px;
	margin-right: 10px;
	margin-top: 10px;
	background-color: rgb(255, 255, 255);  
	-x-background-x-position: 0%;  
	-x-background-y-position: 0%;  
	-moz-background-clip: initial;  
	-moz-background-origin: initial;  
	-moz-background-inline-policy: initial; 
	overflow:auto;
}
input, select {
	font-size: 12px;
	font-family: Arial, Verdana, sans-serif;
	color:#000000 ;
	border:solid 1 #A3A6AB;
	background-color:#EDF7F9;
	padding-left: 5px;
	padding-top:1px;
	padding-bottom:1px
}
.title{
	font-size: 12px;
	font-weight: bold;
	color: #000000; 
	font-family: Arial, Verdana, sans-serif;
	letter-spacing: 1px;
}
table.global {
	width: 100%;
	border: none;
	border-spacing: 0px;
	border-collapse: collapse;
}
table.global th,td{
	padding: 0px;
}
.header_top_left {
	width: 16px;
	height: 10px;
	background: transparent url(<fl:link url="/icons/popup/pop1.gif"/>);
	font-size: 1px;
}
.header_top_middle {
	height: 10px;
	background: transparent url(<fl:link url="/icons/popup/pop2.gif"/>) repeat;
	font-size: 1px;
}
.header_top_right {
	width: 16px;
	height: 10px;
	background: transparent url(<fl:link url="/icons/popup/pop3.gif"/>) no-repeat;
}
.header_center_left {
	width: 16px;
	background: transparent url(<fl:link url="/icons/popup/pop4.jpg"/>) repeat-x;
	font-size: 1px;
	height: 30px;
	min-height: 30px;
}
.header_center_left_long {
	width: 16px;
	background: transparent url(<fl:link url="/icons/popup/pop4_long.jpg"/>) repeat;
	font-size: 1px;
	height: 80px;
	min-height: 80px;
}
.header_center_middle {
	background: transparent url(<fl:link url="/icons/popup/pop5.jpg"/>) repeat-x;
	vertical-align: middle;
	text-align: center;
	height: 30px;
	min-height: 30px;
}
.header_center_right {
	width: 16px;
	background: transparent url(<fl:link url="/icons/popup/pop6.jpg"/>) repeat-x;
	height: 30px;
	min-height: 30px;
}
.header_center_right_long {
	width: 16px;
	background: transparent url(<fl:link url="/icons/popup/pop6_long.jpg"/>) repeat-x;
	height: 80px;
	min-height: 80px;
}
.header_bottom_left {
	width: 16px;
	height: 12px;
	background-image: url(<fl:link url="/icons/popup/pop7.gif"/>);
	font-size: 1px;
}
.header_bottom_middle {
	height: 10px;
	background: transparent url(<fl:link url="/icons/popup/pop8.gif"/>) repeat;
	font-size: 1px;
}
.header_bottom_right {
	width: 16px;
	height: 10px;
	background: transparent url(<fl:link url="/icons/popup/pop9.gif"/>) no-repeat;
}
.body_left {
	width: 16px;
	background: transparent url(<fl:link url="/icons/popup/pop10.gif"/>) repeat;
}
.body_middle {
}
.body_right {
	width: 16px;
	background: transparent url(<fl:link url="/icons/popup/pop11.gif"/>) repeat;
}
.body_bottom_left {
	width: 16px;
	height: 18px;
	background: transparent url(<fl:link url="/icons/popup/pop12.gif"/>) no-repeat;
}
.body_bottom_middle {
	height: 18px;
	background: transparent url(<fl:link url="/icons/popup/pop13.gif"/>) repeat;
	text-align: right;
}
.body_bottom_right {
	width: 16px;
	height: 18px;
	background: transparent url(<fl:link url="/icons/popup/pop15.gif"/>) no-repeat;
}
.search_button {
	width: 17px;
	height: 17px;
	margin-left: 10px;
	border: none;
	vertical-align: middle;
	background: transparent;
}
.search_button_new {
	width: 74px;
	height: 17px;
	margin-left: 10px;
	border: none;
	vertical-align: middle;
	background: transparent;
}
.separation {
	height: 7px;
}
.selection_title_left {
	width: 12px;
	height: 28px;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/cell_hg.gif"/>) no-repeat;
}
.selection_title_middle {
	height: 28px;
	text-align: left;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/fd_cell_hm.gif"/>) repeat;
}
.selection_title_right {
	width: 16px;
	height: 28px;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/cell_hd.gif"/>) no-repeat;
}
.selection_body_left {
	width: 12px;
	height: 100px;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/fd_cell_mg.gif"/>) repeat;
}
.selection_body_middle {
	height: 100px;
}
.selection_body_right {
	width: 16px;
	height: 100px;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/fd_cell_md.gif"/>) repeat;
}
.selection_bottom_left {
	width: 12px;
	height: 12px;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/cell_bg.gif"/>) no-repeat;
}
.selection_bottom_middle {
	height: 12px;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/fd_cell_bm.gif"/>) repeat;
}
.selection_bottom_right {
	width: 16px;
	height: 12px;
	background: transparent url(<fl:link url="/icons/nav/tab_action_bleu/cell_bd.gif"/>) no-repeat;
}

/* style of selection list in Xml List Selection */
.selectSummary{
	border:2px;
	border-color:#84A6AE;
	border-radius:1px;
}
.selectSummary h2{
	margin: 0 0 0 0;
	font-size: 14px;
	color: #84A6AE;
	background: url(<fl:link url="/icons/nav/separation-horizontal.png"/>) repeat-x;
}
.selectSummary h2 span{
	background: white;
	padding-right: 5px;
}
.selectSummary hr {
	margin: 0;
	color:#9EC6D0;
	border:none;
	background:#9EC6D0;
	height: 2px;
}





.validation {
	width: 100%;
	text-align: center;
	border: none;
}
.valid_button {
	 width: 17px;
	 height: 17px;
	 padding: 5px;
	 border: none;
}
.valid_button_new {
	 width: 74px;
	 height: 17px;
	 padding: 5px;
	 border: none;
}
.cancel_button_new {
	 width: 74px;
	 height: 17px;
	 padding: 5px;
	 border: none;
}
.cancel_button {
	 width: 17px;
	 height: 17px;
	 padding: 5px;
	 border: none;
}
.criteria {
/*	display: inline;*/
	display: block;
	float: left;
}
.criteria_label {
	text-align: right;
}
.criteria_field {
	text-align: right;
	font-weight: normal;
}
.dataLabel{
	font-size: 10px;
	color: #969696;
	font-family: Arial, Verdana, sans-serif;
	width:1%;
	white-space: nowrap;
	vertical-align:top;
}
#waiting {
	background-color: rgb(255, 0, 0);
	color: rgb(255, 255, 255);
	padding: 3px;
}
.select_button {
	border: 0;
}
.unselect_button {
	border: 0;
}
form {
	display: inline;
}