<%@ page language="java" pageEncoding="UTF-8"%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@ page import="com.edeal.frontline.Utils"%>
<%@ page import="com.edeal.frontline.BasicBean"%>
<%@ page import="java.util.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	Vector<Map<String, String>> tableData = (Vector<Map<String, String>>) flRequest.getAttribute("tableData");
	Boolean isEdit = (Boolean) flRequest.getAttribute("isEdit");
	Boolean reverseOrder = !(Boolean) flRequest.getAttribute("reverseOrder");
	String id = flRequest.getRequestParameterOrAttribute("id");
	String type = (String)flRequest.getAttribute("type");
	String colID = (String) flRequest.getAttribute("colID");
%>
<div class="edealGrid" style="edeal: v2010; width: 100%;">
<% if (tableData.size() >= 1) {%>
	<div id="grid-actions">
		<table width="100%">
			<tbody>
				<tr>
					<td width="33%"></td>
					<td width="33%"></td>
					<td width="33%" style="text-align: center;"></td>
					<td width="33%" style="text-align: right;"></td>
					<td width="33%" style="text-align: right;"></td>
					<td width="33%" style="text-align: right;"></td>
				</tr>
			</tbody>
		</table>
	</div>
	<div id="grid-data" class="data">
		<table>
			<thead>
				<tr>
					<th>
						<a href="javascript:listFobAttachments_<%=colID %>('<%=id%>', 'AttIcon', '<%=type%>', <%=reverseOrder%> )">
							<%=Utils.getMessage(session, "F1023", false, true, "Type")%></a>
					</th>
					<th>
						<a href="javascript:listFobAttachments_<%=colID %>('<%=id%>', 'AttFileName', '<%=type%>', <%=reverseOrder%> )">
							<%=Utils.getMessage(session, "F2025", false, true, "Nom")%></a>
					</th>
					<th><a href="javascript:listFobAttachments_<%=colID%>('<%=id%>', 'AttDesc', '<%=type%>', <%=reverseOrder%> )">
							<%=Utils.getMessage(session, "F6038", false, true, "Commentaire")%>
					</th>
					<th><%=Utils.getMessage(session, "L62EB", false, true, "Fiche")%></th>
					<th>
						<a href="javascript:listFobAttachments_<%=colID %>('<%=id%>', 'AttModActName', '<%=type%>', <%=reverseOrder%> )"><%=Utils.getMessage(session, "F105D", false, true, "Auteur")%></a>
					</th>
					<th>
						<a href="javascript:listFobAttachments_<%=colID %>('<%=id%>', 'AttUpd', '<%=type%>', <%=reverseOrder%> )"><%=Utils.getMessage(session, "F2019", false, true, "Date")%></a>
					</th>
				</tr>
			</thead>
			<tbody>
				<%
					int i = 0;
						for (Map<String, String> rowData : tableData) {
							String rowClass = (i % 2 == 0) ? "even" : "odd";
							i++;
				%>
				<tr class="<%=rowClass%> bean">
					<td>
						<img src="<%=rowData.get("AttIconPath")%>" alt="<%=rowData.get("AttIconFileExt") %>" />
					</td>
					<td>
					<a href="<fl:webapp/>/download?id=<%= rowData.get("AttID")%>">
						<%=rowData.get("AttFileName")%></a>
					</td>
					<td><%=rowData.get("AttDesc")%></td>
					<td><a href="<%=rowData.get("BeanURL")%>"><%=rowData.get("BeanDisp")%></a></td>
					<td><%=rowData.get("AttModActName")%></td>
					<td><%=rowData.get("AttUpd")%></td>
				</tr>
				<%
					}
				%>
			</tbody>
		</table>
	</div>

<%
	} else if (tableData.isEmpty()){
%><label><fl:getMessage code="L0001" alt="Aucune entrée disponible"/></label> <%}%>
