<%@ page session="true" import="com.edeal.frontline.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
%>

<fl:ifRole show="true" roles="ADMIN">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="#" onclick="openStatusWindow('generate_index_search.fl')">
					<p class="actions_tabletext"><fl:getMessage code="L7029" alt="Indexation complte"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>

	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="#" onclick="openStatusWindow('update_index_search.fl')">
					<p class="actions_tabletext"><fl:getMessage code="L702A" alt="Indexation incrmentale"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="#" onclick="openStatusWindow('generate_description.fl')">
					<p class="actions_tabletext"><fl:getMessage code="L702B" alt="Gnrer description"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>

	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="#" onclick="openStatusWindow('reload_description.fl')">
					<p class="actions_tabletext"><fl:getMessage code="L702C" alt="Recharger description"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="#" onclick="openStatusWindow('restart.fl')">
					<p class="actions_tabletext"><fl:getMessage code="L702D" alt="Redmarer Solr"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:ifRole>
<fl:access name="Person" operation="create">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_person.fl" />">
					<p class="actions_tabletext"><fl:getMessage code="F61B2" alt="Crer une Personne"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<fl:access name="Enterprise" operation="create">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
	</fl:access>	
</fl:access>
<fl:access name="Enterprise" operation="create">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_enterprise.fl" />">
					<p class="actions_tabletext"><fl:getMessage code="F61B3" alt="Crer une Entreprise"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>