<%@ page language="java" contentType="text/plain;charset=UTF-8"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
 
 // Please note! If you change this file in any way, please make the same changes to any
 // JSP file containing the following string:  //**listAjax.jsp**//
 
%><%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.grid.*" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.grid.EdealGrid" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation.BigTabsParams" %>
<%@page import="java.util.Enumeration"%>
<%@page import="com.edeal.frontline.helper.ActorBaseHelper"%>
<%@page import="com.edeal.frontline.helper.custom.ActorHelper"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%

final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
String code = flRequest.getRequestParameterOrAttribute("gridName");
if (code == null) {
	String paramCode = flRequest.getRequestParameterOrAttribute("code");
	String gn = ((paramCode == null ? "" : paramCode) + "_gridname");
	code = flRequest.getRequestParameterOrAttribute(gn);
	if (code == null) {
		code = paramCode;
	}
}
GridData grid = (GridData)flRequest.getAttribute(code);
FlContext context = flRequest.getContext();
EdealBigTabsNavigation bTabNav = new EdealBigTabsNavigation(flRequest);		
bTabNav.setBigTabsParameterValue(BigTabsParams.SelectedTab, "1");
DataDictionary dico = context.getDataDictionary();
EdealGrid edealGrid = new EdealGrid();
edealGrid.setName(code);
edealGrid.buildColumns(session, context, grid);

%>
<style>

	div#grid-list table {
		border-collapse: collapse;
		width: 100%;
		border: 0;
		cellpadding: 0;
		cellspacing: 0;
	}
	
	div#grid-list table td {
		font-family: Arial, Verdana, sans-serif;
		padding: 5px;
		height: 20px;
	}
	
	div#grid-list table td#link img{
		display: block;
		text-decoration: none;
		width: 25px;
		height: 25px;
	}
	
	div#grid-list table td#icon img{
		display: block;
		text-decoration: none;
		width: 60px;
		height: 60px;
	}
	
	div#grid-list table td table tr td {
		font-family: Arial, Verdana, sans-serif;
		padding: 5px;
	}
	
	div#grid-list table td table tr {
		width: 100%;
	}
</style>
<%
if(grid.getNbRows() == 0){
%>
	<fl:label code="L0001" label="Aucune entrée disponible "/>
<%
} else { 
%>
	<div id="grid-list"> 
		<table>
<%
		ArrayList<String> rowsId = grid.getRowsId();
		int nbOfRows = grid.getData().length;
		
		for(int rowidx = 0; rowidx < nbOfRows; rowidx++) {
%>
				<tr>
<% 
					Object[] row = grid.getData()[rowidx];

					EdealGridColumn icon = edealGrid.getColumn(0);	
					EdealGridColumn subject = edealGrid.getColumn(1);
					EdealGridColumn description = edealGrid.getColumn(2);
					EdealGridColumn url = edealGrid.getColumn(3);
%>	
					<%-- icon --%>
					<td align="center" width="10%" id="icon">
						<%= icon.advancedFormat(row[0]) %>
					</td>	
						
					<%-- subject and description --%>	
					<td width="80%">
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<%-- subject --%>
							<tr>
								<td style="font-weight: bold;">
									<%= subject.advancedFormat(row[1]) %>
								</td>
							</tr>
								
							<%-- description --%>
							<tr>
								<td>
									<%= description.advancedFormat(row[2]) %>
								</td>
							</tr>
						</table>
					</td>
						
					<%-- url --%>
					<td align="center" id="link" width="10%">
						<%= url.advancedFormat(row[3]) %>
					</td>
				</tr>
<%
			}
%>
		</table>
	</div>	
<% } %> 




