<%@ page language="java" contentType="text/plain;charset=UTF-8"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2011 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Périer
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
 
 // Please note! If you change this file in any way, please make the same changes to any
 // JSP file containing the following string:  //**listAjax.jsp**//
 
%><%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.grid.*" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.grid.EdealGrid" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation" %>
<%@ page import="com.edeal.frontline.navigation.EdealBigTabsNavigation.BigTabsParams" %>
<%@page import="java.util.Enumeration"%>
<%@page import="com.edeal.frontline.helper.ActorBaseHelper"%>
<%@page import="com.edeal.frontline.helper.custom.ActorHelper"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
String code = flRequest.getRequestParameterOrAttribute("gridName");
if (code == null) {
	String paramCode = flRequest.getRequestParameterOrAttribute("code");
	String gn=((paramCode==null?"":paramCode) + "_gridname");
	code = flRequest.getRequestParameterOrAttribute(gn);
	if (code == null) {
		code = paramCode;
	}
}
GridData grid = (GridData)flRequest.getAttribute(code);
boolean isEmbedded = flRequest.getAttribute(code + "_Embedded") != null;
boolean isEmbedded2 = grid.isEmbedded();
String type = (String)flRequest.getAttribute("objSql");
if (type==null) {
	type=(String)flRequest.getAttribute(code+"_objSql");
}

boolean fIsListEmbedded=isEmbedded || isEmbedded2;

FlContext context = flRequest.getContext();
EdealBigTabsNavigation bTabNav = new EdealBigTabsNavigation(flRequest);		
bTabNav.setBigTabsParameterValue(BigTabsParams.SelectedTab, "1");
DataDictionary dico = context.getDataDictionary();

// is preview to be displayed ?
String pDisplayPreview=flRequest.getSearchCriteria("$$preview");
boolean fDisplayPreview=("true".equals(pDisplayPreview));

String pGridHeight=flRequest.getParameter("gridheight");
EdealGrid edealGrid=new EdealGrid();
edealGrid.setName(code);
edealGrid.buildColumns(session, context, grid);

int totalNbOfRecs=grid.getTotalNbOfRecords();
boolean fDisplayCounter=(totalNbOfRecs!=0);
int pageNumber=grid.getPageNumber()+1;

String jsGridObject=bTabNav.getBigTabsParameterValue(BigTabsParams.NameSearchGridJs);
//String[] updColumnFields=grid.getColumnUpdFld();
//boolean canUpdateList=((updColumnFields!=null) && (updColumnFields.length>0));

String previewToken=grid.getPreviewCacheToken();
ListPreviewCache.PreviewCache previewCache=null;
if (previewToken!=null) {
	 previewCache=ListPreviewCache.factory(flRequest.getSession()).getCache(previewToken);
}

if(grid.getNbRows()==0){

%>
<fl:label code="L0001" label="Aucune entrée disponible "/>
<%}else{ 
	int totalNbOfPages=1;
	try {
		if(totalNbOfRecs > grid.getNbLines()){
			if(totalNbOfRecs % grid.getNbLines()>0){
				totalNbOfPages=(totalNbOfRecs/grid.getNbLines())+1;
			}
			else{
				totalNbOfPages=(totalNbOfRecs/grid.getNbLines());
			}	
		}
	} catch (ArithmeticException e) {//avoid / by 
	
	}

%>
<div id="grid-actions">
<table width="100%">
<tr>
<!--<td width="33%"></td>-->
<td width="100%" style="text-align:center;">
	<%

if(!(grid.isFirstPage() && grid.isLastPage())){%>
<span class="grid-action">
	<%if(!grid.isFirstPage()){%>
	
	<a onclick="<%=jsGridObject%>.loadPage('0',false);return false;" href="#">
		<img src="<fl:webapp/>/icons/ico/flecheGdouble.gif"/>
	</a>
	<a onclick="<%=jsGridObject%>.loadPage('<%=grid.getPageNumber()-1%>',false);return false;" href="#">
		<img src="<fl:webapp/>/icons/ico/flecheG.gif"/>
	</a>	
	<%} 
	 if (fDisplayCounter) {%>
	<%=Utils.getMessage(session, "F608C", "Page")%>&nbsp;<%=pageNumber+"/"+totalNbOfPages%><%= " - ("+totalNbOfRecs+")"%> 
	<%} else { %>
	<%=Utils.getMessage(session, "F608C", "Page")%>&nbsp;<%=pageNumber %> 
	<% } %>
	<%if(!grid.isLastPage()){
	%>
	<a onclick="<%=jsGridObject%>.loadPage('<%=grid.getPageNumber()+1%>',false);return false;" href="#">
		<img src="<fl:webapp/>/icons/ico/flecheD.gif"/>
	</a>
		<%  if (totalNbOfPages>1) { %>
	<a onclick="<%=jsGridObject%>.loadPage('<%=totalNbOfPages-1%>',false);return false;" href="#">
		<img src="<fl:webapp/>/icons/ico/flecheDdouble.gif"/>
	</a>
		<%}%>
	<%}%>
	
	
</span>
<%}%>
</td>
<!--<td width="33%" style="text-align:right;">

</td> -->
</tr>
</table>
</div>
<div id="grid-data" class="data"<%= (previewToken==null)?"":" ed:previewtoken=\""+previewToken+"\"" %> ed:embedded="<%= fIsListEmbedded %>" style="<%= (pGridHeight!=null)?"height:"+pGridHeight:""%>">

<table cellpadding="0">
	<thead>
		<tr>
			<td width="15px"></td> <!-- header empty cell for select icon -->
		    <%
			int formIndex=1;
			for (EdealGridColumn gridColumn: edealGrid.getColumns()) {
				if (gridColumn.getDataType() != null && !gridColumn.getDataType().equals(EdealGridColumn.DataType.PREVIEW)) { %>
				<%=gridColumn.getHeader(edealGrid.getJsGridName(),edealGrid.getName(),flRequest)%>
			<%}
			}
		%></tr>
	</thead>
	<tbody><%
		ArrayList<String> rowsId = grid.getRowsId();
		//ArrayList<String> previewValue = new ArrayList();
		boolean oddRow = false;
		ActorBean currentActor=ActorHelper.getSessionActor(session);
		BasicBean rowBean;
		int nbOfRows=grid.getData().length;
		int tabindex=0;
		int nbOfCols=0;
		Object[][] gridRows=grid.getData();
		for(int rowidx = 0; rowidx < nbOfRows; rowidx++) {
			//String id = "";
			oddRow = !oddRow ;
			String objectID="";
			if (rowsId != null && rowsId.size()>0 && rowsId.get(rowidx) != null) {
				objectID=rowsId.get(rowidx);
					
			}%>
			
			<script language="Javascript">
				console.log(<%= objectID %>);
			</script>

			
			<tr id="<%= objectID %>" class="<%= (oddRow ? "even" : "odd") %> bean" tabindex="<%=++tabindex%>">
				<TD>
					<a href='javascript:doSelect("<%= objectID%>")'><img src="<fl:webapp/>/icons/ico/cochevalid.gif" border="0" width="15" height="15" alt="<fl:getMessage code="A2003" alt="Sélectionner"/>"></a>
				</TD>
			<%
		 	Object[] row = gridRows[rowidx];
		 	nbOfCols=row.length;
				for (int colidx = 0; colidx < row.length; colidx++) {
					EdealGridColumn eGCol = edealGrid.getColumn(colidx);
					
					%><%= eGCol.advancedFormatWithTD(row[colidx]) %><%
					
					}
			
			%></tr>
			<%
				if (fDisplayPreview) {
					String previewTxt=(previewCache==null)?null:previewCache.getPreviewForID(objectID);
					if (!StringUtils.isEmpty(previewTxt)) {
			%>
			<tr id="<%= objectID %>_preview" class="<%= (oddRow ? "even" : "odd") %> list_preview" tabindex="<%=++tabindex%>">
				<td colspan="<%=nbOfCols%>"> 
					<div class="preview-icon">&nbsp;</div>
					<div class="preview">
						<%= Utils.formatToWeb(previewTxt,false,true) %>
						
					</div>
				 </td>
			</tr>
			<%  	}
				}
		}
		if (type!=null && request.getAttribute(type)!=null) {
			request.removeAttribute(type);
		}
	%>
	</tbody>
</table>

</div>



<% } %> 
