<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*,com.edeal.frontline.navigation.FlRequest"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	String field = flRequest.getParameter("field"); 
	String code = flRequest.getParameter("code"); 
	String lbl=flRequest.getParameter("lbl"); 
	if (code!=null) {
		code=code.toLowerCase();
	}
	if (lbl!=null) {
		lbl=lbl.toLowerCase();
	}
	logger.warn("code : "+code);
	logger.warn("lbl  : "+lbl);
	DataDictionary dico = context.getDataDictionary();
	//definir le couple code NAF
	Vector lblList = dico.getRefList(session,field);
	Vector codeList = dico.getRefCodeList(field);
	Vector vecID = new Vector();
	Vector vecLbl = new Vector();
	Vector vecCode = new Vector();
%>
<html>
<head>
<title></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/calendar.jsp"></script>
<script language="JavaScript">

function doSelect(pID,pCode,pDisp) {
	var dst = window.top.opener;
	dst.document.forms[0].<%= field%>.value = pID;
	dst.document.forms[0].code<%= field%>.value = pCode;
	dst.document.forms[0].lbl<%= field%>.value = pDisp;
	window.top.close();
}

function doRefresh(pID,pCode,pDisp) {
	window.location = '<fl:webapp/>/common/select/select_refvalue.jsp?field=<%= field%>&code=&lbl=';
}

</script>

</head>

<body>
<div  style="top:0px; left:0px; height:100%; overflow: auto; width: 100%;">
<fl:bigTabs ignoreList="true" objectTitle="<%= Utils.getMessage(session, \"L6427\", \"Valeur de rfrence\") %>">
<table class="container" cellpadding="3" width="100%">
	<thead>
		<tr>
			<th style="background : #EBF4F6;width:15;text-align : center ;border-right: 1px dashed #9EC6D0; border-bottom: 1px dashed #9EC6D0;" width="15" class="dataValue borderLineOne"><a href="javascript:doRefresh()"><img src="<fl:webapp/>/icons/oksmall.gif" alt="<fl:getMessage code="S008B" alt="Tous"/>" title="<fl:getMessage code="S008B" alt="Tous"/>"/></a></th>
			<th style="text-align: center; white-space:nowrap;" width="20%" class="tabSimpleFdBleuImportant"><fl:getMessage code="F2000" alt="Code"/></th>
			<th style="text-align: center; white-space:nowrap;" width="80%" class="tabSimpleFdBleuImportant"><fl:getMessage code="F2001" alt="Libell"/></th>
		</tr>
	
<%	boolean isBlue = false; 
	boolean fDisplay=false;
     for(int i = 0; i < lblList.size(); i++) {
		Vector currLbl = (Vector)lblList.elementAt(i);
		Vector currCode = (Vector)codeList.elementAt(i);
		String refID = (String)currLbl.firstElement();
		String refLbl = (String)currLbl.lastElement();
		String refCode = (String)currCode.lastElement();
		
		fDisplay=("".equals(lbl))&&("".equals(code));
        if (!"".equals(lbl)) {
          fDisplay=(refLbl.toLowerCase().indexOf(Utils.formatToWeb(lbl,false))>-1);
        }
        if (!"".equals(code)) {
          fDisplay=fDisplay || (refCode.toLowerCase().startsWith(Utils.formatToWeb(code,false)) == true);
        }
        if (fDisplay) {
%>
	<tr valign="middle">
		<TD class="dataValue borderLineOne" style=" <%=isBlue ? "background : #EBF4F6" : "background : #FFFFFF" %> ;width:15;text-align : center;border-right: 1px dashed #9EC6D0; border-bottom: 1px dashed #9EC6D0;">
			<a href="javascript:doSelect('<%= Utils.formatToJavascript(refID) %>','<%= Utils.formatToJavascript(refCode) %>','<%= Utils.formatToJavascript(refLbl) %>')"><img src="<fl:webapp/>/icons/ico/cochevalid.gif" border="0" width="15" height="15" alt="<fl:getMessage code="A2003" alt="Slectionner"/>"></a>
		</TD>
		<TD class="dataValue borderLineOne" style=" <%=isBlue ? "background : #EBF4F6" : "background : #FFFFFF" %> ;width:20%;text-align : left ;border-right: 1px dashed #9EC6D0; border-bottom: 1px dashed #9EC6D0;">
			<%= Utils.formatToWeb(refCode, false) %>
		</TD>
		<TD class="dataValue borderLineOne" style=" <%=isBlue ? "background : #EBF4F6" : "background : #FFFFFF" %> ;width:80%;text-align : left ;border-right: 1px dashed #9EC6D0; border-bottom: 1px dashed #9EC6D0;">
			<%= Utils.formatToWeb(refLbl, false) %>
		</TD>
		
	</tr>
<%	 isBlue=!isBlue;        
        }
      } %>
</thead>
</table>
</fl:bigTabs>
	<br>
	<br>
	<div style="width: 100%;text-align: center;">
		<a href="javascript:window.top.close();" title="<fl:getMessage code="A2002" alt="Annuler"/>"><img src="<fl:link url="/icons/ico/fermer_red_long.gif"/>" class="cancel_button"></a>
	</div>
</body>
</html>
<%
/******************************************************************************
 * CVS Log File - This is no longer maintained!
 *
 * Revision 1.1  2004/07/23 18:20:21  brian
 * Initial Revision
 *
 *****************************************************************************/
%>
