<%
/******************************************************************************
 * Copyright (c) 2000-2009 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" %>
<%@page import="com.edeal.frontline.helper.custom.ActorHelper"%>
<%@page import="java.util.HashMap"%>
<%@page import="com.edeal.frontline.synchro.googleapps.GoogleAppsConstants"%>
<%@page import="com.edeal.frontline.synchro.googleapps.GoogleAppsConstants.GoogleAppsActorOptions"%>
<%@page import="com.edeal.frontline.synchro.googleapps.GoogleAppsConstants.GoogleAppsSystemFolders"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.edeal.frontline.ActorBean"%>
<%@ page import="com.edeal.frontline.FlContext" %><%@ page import="com.edeal.frontline.Utils" %><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="com.edeal.frontline.EnterpriseBean" %><%@ page import="com.edeal.frontline.FieldNotInitializedException" %><%@ page import="java.util.Vector" %><%@ page import="com.edeal.frontline.LinkBean" %><%@ page import="java.util.Hashtable" %><%@ page import="com.edeal.frontline.navigation.WebUtils" %><%@ page import="com.edeal.frontline.DataDictionary" %><%@ page import="com.edeal.frontline.controller.actions.SelectAction" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

	String actID = (String)session.getAttribute("actorID");
	ActorBean actBean = new ActorBean(actID, session);
	ActorHelper actHelper = ActorHelper.factory(actBean);
	HashMap<Enum, String> optMap = actHelper.getActSyncOptions();

	String systemFolders = StringUtils.defaultString(optMap.get(GoogleAppsActorOptions.ContactSystemGroupName));
	String contactGroup = StringUtils.defaultString(optMap.get(GoogleAppsActorOptions.ContactGroupName));
	String syncMissingContacts = optMap.get(GoogleAppsActorOptions.MissingContactSynchronisation);
	boolean syncMC = "true".equalsIgnoreCase(syncMissingContacts) || "vrai".equalsIgnoreCase(syncMissingContacts);
	String action = flRequest.getParameter("action");
%>
<html>
<head>
	<title><fl:getMessage code="A4010" alt="Paramtres Google"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<script type="text/javascript" language="javascript">
		function checkPasswords() {
			var f = document.forms[0];
			if (f.oldPassword.value != '') {
				if (f.newPassword.value == '') {
					alert('<fl:getMessage js="true" code="FFFFF" alt="Veuillez renseigner le nouveau mot de passe"/>');
					return false;
				}
				
				if (f.newPassword.value != f.newPasswordConfirm.value) {
					alert('<fl:getMessage js="true" code="FFFFF" alt="Les mots de passe ne correspondent pas"/>');
					return false;
				}
			}
			
			return true;
		}
	</script>
</head>
<body>
<div id="object_css" style="top: 0px; left: 0px; bottom: 0px; height: 100%;">
<fl:bigTabs ignoreList="true" objectTitle="<%= Utils.getMessage(session, \"A4010\", false, true, \"Paramtres Google\") %>">
<%
	if ("success".equals(action)) {
%>
	<table style="width: 100%;" border="0" cellpadding="0" cellspacing="0" align="center">
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td colspan="2" class="dataLabel" style="text-align: left; width: 100%; font-weight: bold;">
							<fl:getMessage code="FFFFF" alt="Vos paramtres ont t enregistres"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
<% } else { %>
<form method="post" action="<fl:webapp/>/saveSyncUpdates.fl" onsubmit="checkPasswords();">
	<table style="width: 100%;" border="0" cellpadding="0" cellspacing="0" align="center">
		<% if ("password".equals(action)) { %>
		<tr>
			<td colspan="4" class="dataLabel fieldTitreFiche " style="text-align: center; width: 100%; font-weight: bold;">
				<fl:getMessage code="FFFFF" alt="Les mots de passe ne correspondent pas. Veuillez les r-entrer." />
				<br><br>
			</td>
		</tr>
		<% } %>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td colspan="2" class="dataLabel" style="text-align: left; width: 100%; font-weight: bold;">
							<fl:getMessage code="FFFFF" alt="Mot de passe et re-synchronisation des contacts :"/>
							<br><br>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Mot de passe actuel"/>
						</td>
						<td class="dataValue" style="width: 66%;">
							<input name="oldPassword" type="password" value="<%= StringUtils.defaultString(flRequest.getParameter("oldPassword")) %>">
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Nouveau mot de passe"/>
						</td>
						<td class="dataValue" style="width: 66%;">
							<input name="newPassword" type="password">
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Confirmer mot de passe"/>
						</td>
						<td class="dataValue" style="width: 66%;">
							<input name="newPasswordConfirm" type="password">
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Recration des contacts supprims"/>
						</td>
						<td class="dataValue" style="width: 66%;">
							<input name="actMissingContacts" class="transRead" type="checkbox" <%= syncMC ? "checked=\"checked\"" : "" %>>
						</td>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td colspan="2" class="dataLabel" style="text-align: left; width: 100%; font-weight: bold;">
							<fl:getMessage code="FFFFF" alt="Ajouter contacts aux dossiers suivants :"/>
							<br><br>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Groupe des contacts"/>
						</td>
						<td class="dataValue" style="width: 300px;">
							<input name="<%= GoogleAppsActorOptions.ContactGroupName.toString() %>" type="input" value="<%= contactGroup %>">
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Mes contacts"/>
						</td>
						<td class="dataValue" style="width: 300px;">
							<input name="<%= GoogleAppsSystemFolders.Contacts.toString() %>" class="transRead" type="checkbox" <%= systemFolders.indexOf(GoogleAppsSystemFolders.Contacts.toString()) >= 0 ? "checked=\"checked\"" : "" %>>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Mes collgues"/>
						</td>
						<td class="dataValue" style="width: 300px;">
							<input name="<%= GoogleAppsSystemFolders.Coworkers.toString() %>" class="transRead" type="checkbox" <%= systemFolders.indexOf(GoogleAppsSystemFolders.Coworkers.toString()) >= 0 ? "checked=\"checked\"" : "" %>>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Ma famille"/>
						</td>
						<td class="dataValue" style="width: 300px;">
							<input name="<%= GoogleAppsSystemFolders.Family.toString() %>" class="transRead" type="checkbox" <%= systemFolders.indexOf(GoogleAppsSystemFolders.Family.toString()) >= 0 ? "checked=\"checked\"" : "" %>>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel" style="text-align: left; width: 33%;">
							<fl:getMessage code="FFFFF" alt="Mes amis"/>
						</td>
						<td class="dataValue" style="width: 300px;">
							<input name="<%= GoogleAppsSystemFolders.Friends.toString() %>" class="transRead" type="checkbox" <%= systemFolders.indexOf(GoogleAppsSystemFolders.Friends.toString()) >= 0 ? "checked=\"checked\"" : "" %>>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</form>
</fl:bigTabs>
<% } %>
<table class="container" width="100%">
	<tr class="fieldline">
		<td colspan="2" style="text-align: center;">
			<% if (!"success".equals(action)) { %><a href="javascript:document.forms[0].submit()"><img src="<fl:webapp/>/icons/ico/valid_green_long.gif"></a>&nbsp;&nbsp;&nbsp;<% } %><a href="javascript:window.close()"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a>
		</td>
	</tr>
</table>
</div>
</body>
</html>

