
<%
/******************************************************************************
 * Copyright (c) 2000-2009 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" contentType="text/html; charset=UTF-8"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.edeal.frontline.synchro.SyncManagerWorker"%>
<%@page import="com.edeal.frontline.controller.actions.DoSyncUserAction"%>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.LicenceManager" %>
<%@ page import="com.edeal.frontline.LicenceBean" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.text.DecimalFormat" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

SyncManagerWorker smw = (SyncManagerWorker)request.getAttribute(DoSyncUserAction.ATTR_SMW);
String errMsg = (String)request.getAttribute(DoSyncUserAction.ATTR_ERRORMSG);
Boolean isSyncing = (Boolean)request.getAttribute(DoSyncUserAction.ATTR_ISSYNCING);

String contactMessage = smw.getContactsSummary();
String rdvMessage = smw.getRdvSummary();
String taskMessage = smw.getTaskSummary();
%>
<html>
<head></head>
<body>
<div id="object_css" style="top:0px; left: 0px; height: 100%;">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"LFFFF\", \"Synchronisation\") %>" ou="/syncUserStart.fl">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<table class="container" cellpadding="0" width="100%">
<% if (errMsg == null && !isSyncing) { %>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<fl:getMessage code="LFFFF" alt="Synchronisation terminée"/>&nbsp;:
			</td>
		</tr>
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
		<% if (StringUtils.isNotEmpty(contactMessage)) { %>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<fl:getMessage code="LFFFF" alt="Contacts synchronisés / erreurs / total :"/>&nbsp;<%= contactMessage %>
			</td>
		</tr>
		<% } %>
		<% if (StringUtils.isNotEmpty(taskMessage)) { %>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<fl:getMessage code="LFFFF" alt="Tâches crées / supprimés / erreurs / total :"/>&nbsp;<%= taskMessage %>
			</td>
		</tr>
		<% } %>
		<% if (StringUtils.isNotEmpty(rdvMessage)) { %>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<fl:getMessage code="LFFFF" alt="RDVs crées / supprimées / erreurs / total :"/>&nbsp;<%= rdvMessage %>
			</td>
		</tr>
		<% } %>
<% } else if (isSyncing) { %>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<fl:getMessage code="LFFFF" alt="Une synchronisation est déjà en cours."/>
			</td>
		</tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<fl:getMessage code="LFFFF" alt="Veuillez essayer ultérieurement"/>
			</td>
		</tr>
<% } else { %>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<fl:getMessage code="LFFFF" alt="Une erreur est survenue"/>&nbsp;:
			</td>
		</tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<%= errMsg %>
			</td>
		</tr>
<% } %>
	</table>
</fl:bigTabs>
<table class="container" cellpadding="0" width="100%">
	<tr class="ligne_separation"><td>&nbsp;</td></tr>
	<tr>
		<td class="transparent" style="text-align: center;">
			<a href="javascript:window.top.close();" title="<fl:getMessage code="A3035" alt="Fermer"/>"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a>
		</td>
	</tr>
</table>
</div>
</body>
</html>