<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.Utils" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<!--  script type="text/javascript" language="javascript" src="<fl:webapp/>js/edeal/libraries/jquery/jquery.js"></script -->	
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/calendar.jsp"></script>	
<script language="javascript">
function processItem() {
	$('#synchroItemResults').html('');

	var url = '<fl:webapp/>/synchroItemLookupAction.fl?';
	
	if ($('#SynActID').val() == '') {
		alert('Please select an actor');
		return;
	}
	
	url += 'SynActID=' + $('#SynActID').val();
	
	if ($('#SynExternalID').val() != '') {
		url += '&SynExternalID=' + $('#SynExternalID').val();
	} else if ($('#IntDate').val() != '' ) {
		url += '&IntDate=' + $('#IntDate').val();
	} else {
		alert('Please choose either an externalID or a date');
		return;
	}
	
	$('#loadingResults').show();
//	alert('url: ' + url);

	$.getJSON(
		url,
		function(data) { processData(data); }
	).error(function(data) { processData(data); });

}

function processData(data) {
	$('#loadingResults').hide();

	if (data.errorStr) {
		headerStr += '<tr class="ligne_separation"><td></td></tr>';
		headerStr += '<tr class="fieldline">';
		headerStr += '	<td colspan="2" class="dataLabel" style="text-align: left; width: 100%; font-weight: bold;">';
			headerStr += 'Retrieval error:<br>' + data.errorStr;
		headerStr += '	</td>';
		headerStr += '</tr>';
		headerStr += '<tr class="ligne_separation"><td></td></tr>';
		headerStr += '<tr class="ligne_separation_couleur"><td></td></tr>';
		headerStr += '<tr class="ligne_separation"><td></td></tr>';
	
		$('#synchroItemResults').append(headerStr);
		return;
	}

	var headerStr;
	headerStr += '<tr class="ligne_separation"><td></td></tr>';
	headerStr += '<tr class="fieldline">';
	headerStr += '	<td colspan="2" class="dataLabel" style="text-align: left; width: 100%; font-weight: bold;">';

	if (data.dataType == 'extID') {
		headerStr += '		RDV Found';
	} else if (data.dataType == 'date') {
		if (data.rdvListSize == 0) {
			headerStr += 'No RDVs found on given date';
		} else {
			headerStr += data.rdvListSize + ' RDV(s) found';
		}
	}
	
	headerStr += '	</td>';
	headerStr += '</tr>';
	headerStr += '<tr class="ligne_separation"><td></td></tr>';
	headerStr += '<tr class="ligne_separation_couleur"><td></td></tr>';
	headerStr += '<tr class="ligne_separation"><td></td></tr>';

	$('#synchroItemResults').append(headerStr);
	
	if (data.dataType == 'extID') {
		addRDV(data);
	} else if (data.dataType == 'date' && data.rdvListSize > 0) {
		$.each(data.rdvList, function(i, object) { addRDV(object); });
	}
}

function addRDV(data) {
var newLine;

newLine += '<tr id="dataTable">';
newLine += '<td class="column2">';
newLine += '	<table class="data_column" cellpadding="0">';
newLine += '		<tr class="fieldline">';
newLine += '			<td class="dataLabel"><div>Subject</div></td>';
newLine += '			<td class="dataValue"><div>' + data.subject + '</div></td>';
newLine += '		<tr/>';
newLine += '		<tr class="fieldline">';
newLine += '			<td class="dataLabel"><div>Start date</div></td>';
newLine += '			<td class="dataValue"><div>' + data.start + '</div></td>';
newLine += '		<tr/>';
newLine += '		<tr class="fieldline">';
newLine += '			<td class="dataLabel"><div>End date</div></td>';
newLine += '			<td class="dataValue"><div>' + data.end + '</div></td>';
newLine += '		</tr>';
newLine += '	</table>';
newLine += '</td></tr>';
newLine += '<tr class="ligne_separation_couleur"><td></td></tr>';

$('#synchroItemResults').append(newLine);
}

</script>
<fl:bigTabs objectTitle="SynchroItemLookup">
<form action="#">
	<table style="width: 100%;" border="0" cellpadding="0" cellspacing="0" align="center">
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td colspan="2" class="dataLabel" style="text-align: left; width: 100%; font-weight: bold;">
							<fl:getMessage code="FFFFF" alt="Synchro Item lookup"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">					
					<fl:fieldEdit property="SynActID"/>
				</table>
			</td>
		</tr>
	</table>
<fieldset class="fieldset">
	<legend class="legend">Please choose an actor and give an external ID or a date</legend>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titrePartie"><fl:getMessage code="FFFFF" alt="External ID"/></td>
		</tr>
		<tr>
			<td class="dataValue noPaddingLeft">
			<fl:input property="SynExternalID" style="width:100%" nodiv="false" onfocus="javascript:document.forms[0].IntDate.value=''"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">					
					<fl:fieldEdit property="IntDate" onchange="javascript:document.forms[0].SynExternalID.value=''"/>
				</table>
			</td>
		</tr>
	</table>
	</fieldset>
<form>
	<table class="container" cellpadding="0" id="loadingResults" style="display: none;">
		<tr class="ligne_separation"><td></td></tr>
		<tr><td><img src="<fl:webapp/>/icons/chargement.gif"></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0" id="synchroItemResults">
	</table>
</fl:bigTabs>